Package io.dapr.v1

# Interface DaprProtos.SubtleGetKeyRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleGetKeyRequest`, `DaprProtos.SubtleGetKeyRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubtleGetKeyRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getComponentName()`
Name of the component
`com.google.protobuf.ByteString`
`getComponentNameBytes()`
Name of the component
`DaprProtos.SubtleGetKeyRequest.KeyFormat`
`getFormat()`
Response format
`int`
`getFormatValue()`
Response format
`String`
`getName()`
Name (or name/version) of the key to use in the key vault
`com.google.protobuf.ByteString`
`getNameBytes()`
Name (or name/version) of the key to use in the key vault

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getComponentName

String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The componentName.

### getComponentNameBytes

com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The bytes for componentName.

### getName

String getName()

     Name (or name/version) of the key to use in the key vault

`string name = 2;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()

     Name (or name/version) of the key to use in the key vault

`string name = 2;`

Returns:
  The bytes for name.

### getFormatValue

int getFormatValue()

     Response format

`.dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat format = 3;`

Returns:
  The enum numeric value on the wire for format.

### getFormat

DaprProtos.SubtleGetKeyRequest.KeyFormat getFormat()

     Response format

`.dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat format = 3;`

Returns:
  The format.